!***************************************
!***Display of Prediction Line Points***
!***************************************
	SUBROUTINE PREDLINEPTS()
	USE WINTERACTER
	USE SHAREDVARS
	USE RESOURCE
	INTEGER ILINE
!***
!***Load dialog
!***
	CALL WDialogLoad(IDD_PREDLINEPTS)
	Call WDialogClearField(IDF_PREDLINEPTS_GRID)
!***
!***Load prediction line information saved during analysis into dialog grid
!***
	DO ILINE=1,NLINE
		CALL WGridPutCellReal(IDF_PREDLINEPTS_GRID,1,ILINE,XLINE(ILINE))
		CALL WGridPutCellReal(IDF_PREDLINEPTS_GRID,2,ILINE,YLINE(ILINE))
		CALL WGridPutCellReal(IDF_PREDLINEPTS_GRID,3,ILINE,LINELCL(ILINE))
		CALL WGridPutCellReal(IDF_PREDLINEPTS_GRID,4,ILINE,LINEUCL(ILINE))
	ENDDO
!***
!***Show dialog - when user exits, unload dialog and go back to Main dialog and to calling routine
!***
	CALL WDialogShow(-1,-1,IDD_PREDLINEPTS,MODAL)
	CALL WDialogUnload()
	CALL WDialogSelect(IDD_MAIN)
	RETURN
	END SUBROUTINE PREDLINEPTS
